Fly.io
Machines

List Versions

View as Markdown

List all versions of the configuration for a specific Machine within an app.

GET
/apps/{app_name}/machines/{machine_id}/versions

List all versions of the configuration for a specific Machine within an app.

Authorization

bearerAuth
AuthorizationBearer <token>

A Fly.io access token. Create one with fly tokens create.

In: header

Path Parameters

app_name*string

Fly App Name

machine_id*string

Machine ID

Response Body

application/json

curl -X GET "https://example.com/apps/string/machines/string/versions"
[  {    "user_config": {      "auto_destroy": true,      "cache_drive": {        "size_mb": 0      },      "checks": {        "property1": {          "grace_period": "1s",          "headers": [            {              "name": "string",              "values": [                "string"              ]            }          ],          "interval": "15s",          "kind": "informational",          "method": "string",          "path": "string",          "port": 0,          "protocol": "string",          "timeout": "2s",          "tls_server_name": "string",          "tls_skip_verify": true,          "type": "string"        },        "property2": {          "grace_period": "1s",          "headers": [            {              "name": "string",              "values": [                "string"              ]            }          ],          "interval": "15s",          "kind": "informational",          "method": "string",          "path": "string",          "port": 0,          "protocol": "string",          "timeout": "2s",          "tls_server_name": "string",          "tls_skip_verify": true,          "type": "string"        }      },      "containers": [        {          "cmd": [            "string"          ],          "depends_on": [            {              "condition": {},              "name": "string"            }          ],          "entrypoint": [            "string"          ],          "env": {            "property1": "string",            "property2": "string"          },          "env_from": [            {              "env_var": "string",              "field_ref": "id"            }          ],          "exec": [            "string"          ],          "files": [            {              "guest_path": "string",              "image_config": "string",              "mode": 0,              "raw_value": "string",              "secret_name": "string"            }          ],          "healthchecks": [            {              "exec": {                "command": [                  "string"                ]              },              "failure_threshold": 0,              "grace_period": 0,              "http": {                "headers": [                  {                    "name": "string",                    "values": [                      "string"                    ]                  }                ],                "method": "string",                "path": "string",                "port": 0,                "scheme": {},                "tls_server_name": "string",                "tls_skip_verify": true              },              "interval": 0,              "kind": {},              "name": "string",              "success_threshold": 0,              "tcp": {                "port": 0              },              "timeout": 0,              "unhealthy": {}            }          ],          "image": "string",          "name": "string",          "restart": {            "gpu_bid_price": 0,            "max_retries": 0,            "policy": "no"          },          "secrets": [            {              "env_var": "string",              "name": "string"            }          ],          "stop": {            "signal": "SIGHUP",            "timeout": "10s"          },          "user": "string"        }      ],      "disable_machine_autostart": true,      "dns": {        "dns_forward_rules": [          {            "addr": "string",            "basename": "string"          }        ],        "hostname": "string",        "hostname_fqdn": "string",        "nameservers": [          "string"        ],        "options": [          {            "name": "string",            "value": "string"          }        ],        "searches": [          "string"        ],        "skip_registration": true      },      "env": {        "property1": "string",        "property2": "string"      },      "files": [        {          "guest_path": "string",          "image_config": "string",          "mode": 0,          "raw_value": "string",          "secret_name": "string"        }      ],      "guest": {        "cpu_kind": "string",        "cpus": 0,        "gpu_kind": "string",        "gpus": 0,        "host_dedication_id": "string",        "kernel_args": [          "string"        ],        "max_memory_mb": 0,        "memory_mb": 0,        "persist_rootfs": "never"      },      "image": "string",      "init": {        "cmd": [          "string"        ],        "entrypoint": [          "string"        ],        "exec": [          "string"        ],        "kernel_args": [          "string"        ],        "swap_size_mb": 0,        "tty": true      },      "metadata": {        "property1": "string",        "property2": "string"      },      "metrics": {        "https": true,        "path": "string",        "port": 0      },      "mounts": [        {          "add_size_gb": 0,          "encrypted": true,          "extend_threshold_percent": 0,          "name": "string",          "path": "string",          "size_gb": 0,          "size_gb_limit": 0,          "volume": "string"        }      ],      "processes": [        {          "cmd": [            "string"          ],          "entrypoint": [            "string"          ],          "env": {            "property1": "string",            "property2": "string"          },          "env_from": [            {              "env_var": "string",              "field_ref": "id"            }          ],          "exec": [            "string"          ],          "ignore_app_secrets": true,          "secrets": [            {              "env_var": "string",              "name": "string"            }          ],          "user": "string"        }      ],      "restart": {        "gpu_bid_price": 0,        "max_retries": 0,        "policy": "no"      },      "rootfs": {        "persist": "never",        "size_gb": 0      },      "schedule": "string",      "services": [        {          "autostart": true,          "autostop": "off",          "checks": [            {              "grace_period": "1s",              "headers": [                {                  "name": "string",                  "values": [                    "string"                  ]                }              ],              "interval": "15s",              "method": "string",              "path": "string",              "port": 0,              "protocol": "string",              "timeout": "2s",              "tls_server_name": "string",              "tls_skip_verify": true,              "type": "string"            }          ],          "concurrency": {            "hard_limit": 0,            "soft_limit": 0,            "type": "string"          },          "force_instance_description": "string",          "force_instance_key": "string",          "internal_port": 0,          "min_machines_running": 0,          "ports": [            {              "end_port": 0,              "force_https": true,              "handlers": [                "string"              ],              "http_options": {                "compress": true,                "h2_backend": true,                "headers_read_timeout": 0,                "idle_timeout": 0,                "replay_cache": [                  {                    "allow_bypass": true,                    "name": "string",                    "path_prefix": "string",                    "ttl_seconds": 0,                    "type": "cookie"                  }                ],                "response": {                  "headers": {                    "property1": {},                    "property2": {}                  },                  "pristine": true                }              },              "port": 0,              "proxy_proto_options": {                "version": "string"              },              "start_port": 0,              "tls_options": {                "alpn": [                  "string"                ],                "default_self_signed": true,                "versions": [                  "string"                ]              }            }          ],          "protocol": "string"        }      ],      "size": "string",      "spot": {        "max_price_fraction": 0      },      "standbys": [        "string"      ],      "statics": [        {          "guest_path": "string",          "index_document": "string",          "tigris_bucket": "string",          "url_prefix": "string"        }      ],      "stop_config": {        "signal": "SIGHUP",        "timeout": "10s"      }    },    "version": "string"  }]